CALIBREDB(1)

NAME
calibredb - calibredb

%prof commando [opties] [parameters]

calibrebd is de command line interface naar de calibre database. Het heeft verschillende sub-commando's, hieronder gedocumenteerd.

calibrebd kan gebruikt worden om ofwel een calibre database te manipuleren gespecificeerd bij pad of een calibre Content server draaiend ofwel op de lokale machine of over het internet. U kan een calibre Content server starten ofwel met het calibre-server programma ofwel klik in het calibre hoofdprogramma op Connect/share  → Start Content Server. Aangezien calibredb veranderingen kan aanbrengen in uw calibre bibliotheken, moet u eerst authenticatie instellen op de server. Er zijn twee manieren om dat te doen:

•

Als u enkel wil verbinden met een server die draait op dezelfde computer,
    kan u gewoon de --enable-local-write optie gebruiken van de Content server, om elk programma, inbegrepen calibre, dat draait op de lokale computer om dingen te veranderen in uw calibre data. Als u de server vanuit het calibre hoofdprogramma draait, is deze optie in Preferences → Sharing over het internet → Geavanceerd.

•   Als u toegang over het internet wil inschakelen, dan moet u gebruikersaccounts instellen op de server en de opties --username en --password gebruiken op calibredb om het toegang te verlenen. U kan gebruikerauthenticatie instellen voor calibre-server met de --enable-auth optie en gebruik makend van --manage-users om de gebruikersaccounts te creëren. Als u de server draait vanuit het calibre hoofdprogramma, gebruik Voorkeuren → Delen over het net → Vraag gebruikersnaam/wachtwoord.

    Om te verbinden met een draaiende Content server, geef de URL van de server door aan de --with-library optie, bekijk de documentatie van die optie voor details en voorbeelden.

•   ALGEMENE OPTIES

•   list

•   add

•   TOEVOEGEN VANUIT MAPPEN

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPTIES

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

ALGEMENE OPTIES

--help, -h
    toon dit helpbericht en stop

--library-path, --with-library
    Pad naar calibre bibliotheek. Standaard wordt het pad gebruikt opgeslagen in de instellingen. U kan ook met een calibre Content server verbinden om te wijzigen in bibliotheken op afstand. Om dit te doen, gebruik een URL van de vorm: http://hostname:port/#library_id bv, http://localhost:8080/#mylibrary. library_id is de id van de bibliotheek waarmee u wilt verbinden op de Content server. U kan de speciale library_id gebruiken van - om een lijst te krijgen van beschikbare ids op de server. Voor details over het toegang krijgen via een Content server, zie https://manual.calibre-ebook.com/nl/generated/nl/calibredb.html.

--password
    Wachtwoord om te verbinden met een calibre Content server. Gebruik speciale waarde: <stdin> om het wachtwoord van de standaardinvoer te lezen. Om het wachtwoord van een bestand te lezen, gebruik: <f:/path/to/file> (d.w.z. <f: gevolgd door volledig pad naar bestand en een trailing>). De punthaken in het bovenstaande zijn vereist, onthoud om ze te escapen of gebruik aanhalingstekens voor uw shell.

--timeout
    De time-out, in seconden, bij verbinden met een calibre bibliotheek over het netwerk. De standaard is twee minuten.

--username
    Gebruikersnaam voor verbinden met een calibre Content server

--version
    toon programmaversie en stop

LIST

calibredb list [opties]

Toon de beschikbare boeken in de calibre-database.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--ascending
    Sorteer resultaten in oplopende volgorde

--fields, -f
    Velden te tonen bij het maken van boekenlijsten in de database. Moet een lijst met komma-gescheiden waarden zijn. Beschikbare velden: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Standaard: title,authors. Het speciale veld "alle" kan dienen om alle velden te selecteren. Naast de ingebouwde velden boven zijn ook aangepaste velden beschikbaar als *field_name, bijvoorbeeld, voor een aangepast veld #rating, gebruik de naam: *rating

--for-machine
    Genereer uitvoer in JSON formaat, dit is veel beter voor machine verificatie. Zorgt ervoor dat de lengte van lijnen en de afscheidings opties genegeerd zullen worden.

--limit
    Het maximum aantal resultaten om weer te geven. Standaard: allen

--line-width, -w
    De maximale breedte van een enkele regel in de uitvoer. Standaard is dit hetzelfde als de schermgrootte.

--prefix
    De prefix voor mappaden. Standaard is het absolute pad naar de bibliotheekmap.

--search, -s
    Filter de resultaten op de zoekoperatie. Voor het indeling van de zoekopdracht kunt u de zoek-gerelateerde documentatie in de gebruikershandleiding raadplegen. Standaard word er niet gefilterd.

--separator
    De string gebruikt om velden van elkaar te scheiden. Standaard is dit een spatie.

--sort-by
    The field by which to sort the results. You can specify multiple fields by separating them with commas. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Default: id

--template
    Het sjabloon dat moet worden uitgevoerd als "template" in de veld-lijst staat. Standaard: Geen

--template_file, -t
    Pad naar een bestand met het sjabloon dat moet worden uitgevoerd als "template" in de veld-lijst staat. Standaard: Geen

--template_heading
    Kop voor de sjabloonkolom. Standaard: stan%daard. Deze optie wordt genegeerd als de optie --for-machine is ingesteld

ADD

calibredb toevoegen [opties] bestand1 bestand2 bestand3 ...

Voeg de gespecificeerde bestanden als boeken toe aan de database. U kan ook mappen specificeren, kijk bij map gerelateerde opties beneden.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--authors, -a
    Stel de auteur in voor toegevoegde boek(en)

--automerge, -m
    Als boeken met vergelijkbare titels en auteurs worden gevonden, voegt u de binnenkomende formaten (bestanden) automatisch samen met bestaande boekrecords. De waarde "negeren" betekent dat dubbele formaten worden verwijderd. De waarde "overschrijven" betekent dat dubbele formaten in de bibliotheek worden overschreven door de nieuw toegevoegde bestanden. De waarde "new_record" betekent dat dubbele formaten in een nieuw boekrecord worden geplaatst.

--cover, -c
    Pad naar de omslag voor het toegevoegde boek

--duplicates, -d
    Voeg boeken toe aan de database, zelfs als ze al bestaan. Er wordt vergeleken op basis van boektitels en auteurs. Merk op dat de optie --automerge voorrang heeft.

--empty, -e
    Voeg een leeg boek toe (een boek dat van geen enkel formaat gebruikt maakt)

--identifier, -I
    Stel de identificatren voor dit boek in, bijvoorbeeld: -I asin:XXX -I isbn:YYY

--isbn, -i
    Stel het ISBN-nummer in voor toegevoegde boek(en)

--languages, -l
    Een door komma's gescheiden lijst van talen (het beste is om ISO639 taal codes te gebruiken, alhoewel sommige taal-namen ook herkend worden)

--series, -s
    Stel de series in van toegevoegde boek(en)

--series-index, -S
    Stel het nummer in de serie in voor toegevoegde boek(en)

--tags, -T
    Stel labels in voor toegevoegde boek(en)

--title, -t
    Stel de titel in voor toegevoegde boek(en)

  TOEVOEGEN VANUIT MAPPEN

Opties voor beheer van boeken toevoegen vanuit mappen. Standaard enkel bestanden met extensies van gekende e-boek bestandtypes.

--add
    Een bestandsnaam (glob) patroon, bestanden die overeenkomen met dit patroon zullen worden toegevoegd bij het scannen van mappen voor bestanden, zelfs als ze geen bekend e-boek bestandstype hebben. Kan meerdere keren worden opgegeven voor meerdere patronen.

--ignore
    Een bestandsnaam (glob) patroon, bestanden die overeenkomen met dit patroon, worden genegeerd bij het scannen van mappen. Kan meerdere keren worden opgegeven voor meerdere patronen. Bijvoorbeeld: *.pdf zal alle pdf-bestanden negeren

--one-book-per-directory, -1
    Neem aan dat elke map een enkel logisch boek heeft and dat alle bestanden erin verschillende e-boek formaten zijn van dat boek

--recurse, -r
    Verwerk mappen recursief

REMOVE

calibredb verwijder ID's

Verwijder de boek indentificatoren van de database. ID's is een komma-gescheiden lijst van ID nummers (u kan ID nummers verkrijgen door het zoek commando te gebruiken). Bijvoorbeeld: 23,34,57-85 (bij opgave van een serie, wordt het laatste nummer niet opgenomen).

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--permanent
    Gebruik de Prullenbak niet

ADD_FORMAT

calibredb add_format [opties] id ebook_file

Voeg het e-boek in ebook_file toe aan de beschikbare formaten voor het logische boek geïdentificeerd door id. U kunt id krijgen door de zoekopdracht te gebruiken. Als het formaat al bestaat, wordt het vervangen, tenzij de optie Niet vervangen is opgegeven.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--dont-replace
    Vervang het formaat niet als het al bestaat

REMOVE_FORMAT

calibredb remove_format [opties] id fmt

Verwijder het formaat fmt van het logische boek geïdentificeerd door id. U kunt het id met het zoek-commando vinden. fmt is een bestandsextensie zoals LRF, TXT of EPUB. Als het logische boek niet in dit formaat bestaat zal er niets gebeuren.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [opties] id

Toon de metadata die in de calibre database zijn opgeslagen voor het boek dat bij id hoort. id is een id nummer verkregen met het zoek-commando.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--as-opf
    Metadata in OPF-formaat (XML) afdrukken

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Stel de metadata in die zijn opgeslagen in de Calibre-database voor het boek geïdentificeerd door book_id uit het OPF-bestand metadata.opf. book_id is een boek-id-nummer van de zoek opdracht. U kunt snel een idee krijgen van het OPF-formaat door de --as-opf schakelt over naar de opdracht show_metadata. U kunt ook de metagegevens van individuele velden met de optie --field. Als u de optie --field gebruikt, is er het is niet nodig om een OPF-bestand op te geven.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--field, -f
    Het veld om te zetten. Formaat is veld_naam:waarde, bijvoorbeeld: --field labels:label1,label2. Gebruik --list-fields om een lijst van alle veld namen te krijgen. U kunt deze optie meermalen gebruiken om meerdere velden te zetten. Opgelet: Voor talen moet u de ISO639 taal codes gebruiken (b.v. en voor Engels, fr voor Frans enzovoort). Voor identificatoren, de syntaxis is --field identifiers:isbn:XXXX,doi:YYYYY. Voor booleaans (ja/nee) velden gebruik waar en niet waar of ja en nee.

--list-fields, -l
    Toon de metadata veldnamen die kunnen worden gebruikt met de --field optie

EXPORT

calibredb export [opties] ids

Exporteer de boeken gespecificeerd door ids (een lijst gescheiden door komma's) naar het bestandssysteem. De exportoperatie bewaard alle formaten van het boek, de omslag en metadata (in een opf-bestand). U kunt id-nummers met het zoek-commando vinden.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--all
    Exporteer alle boeken in de database, negeer de lijst met id's.

--dont-asciiize
    Laat calibre alle niet-Latijnse karakters converteren naar Latijnse voor de bestandsnamen. Nuttig bij opslaan naar een verouderd bestandssysteem zonder volledige ondersteuning voor Unicode bestandsnamen. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--dont-save-cover
    Normaal slaat calibre de omslag op in een apart bestand samen met de overige boekbestanden van het bijbehorende boek. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--dont-update-metadata
    Normaal zal calibre de metadata in opgeslagen bestanden bijwerken met informatie in de calibre bibliotheek. Maakt opslaan op schijf langzamer. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--dont-write-opf
    Normaal gesproken, zal calibre de metadata in een apart OPF-bestand opslaan, samen met de daadwerkelijke e-boekbestanden. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--formats
    Kommagescheiden lijst van opslagformaten voor elk boek. Standaard worden alle formaten bewaard.

--progress
    Rapporteer voortgang

--replace-whitespace
    Vervang witruimte door lage streepjes (_).

--single-dir
    Exporteer alle boeken naar één enkele map

--template
    De sjabloon waarmee de bestandsnaam en mapstructuur van de opgeslagen bestanden wordt gecontroleerd. Standaard is dit "{author_sort}/{title}/{title} - {authors}’" dat boeken per auteur in een submap plaatst met bestandsnamen met de naam van de auteur en de titel. Beschikbare opties zijn: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Het formaat om gegevens weer te geven. %d - dag, %b - maand, %m - maandnummer, %Y - jaar. Standaard is: %b, %Y

--to-dir
    Exporteer boeken naar de gespecificeerde map. Standaard is .

--to-lowercase
    Paden naar kleine letters omzetten.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--ids, -i
    Kommagescheiden lijst met database-ID's om te catalogiseren. Indien gebruikt, zal --search genegeerd worden. Standaard: all

--search, -s
    Filter de resultaten met de zoekopdracht. Voor het formaat van de zoekopdracht, zie de zoekfunctionaliteit in de gebruikershandleiding. Standaard: geen filter

--verbose, -v
    Laat gedetailleerde uitvoerinformatie zien. Nuttig bij het opsporen van problemen

  EPUB OPTIES

--catalog-title
    Titel van gegenereerde catalogus gebruikt als titel in metadata. Standaard: 'My Books' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--cross-reference-authors
    Creëert kruis-referenties in Auteursonderdeel voor boeken met meerdere auteurs. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten.

--debug-pipeline
    Sla de uitvoer van verschillende stadia in de omzettingspijplijn op in de gespecificeerde map. Nuttig wanneer u onzeker bent in welk stadium van het omzettingsproces een fout optreedt. Standaard: 'None' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--exclude-genre
    Regex die beschrijft welke labels uit te sluiten als genre's. Standaard: '[.+]|^+$' sluit labels in haken uit, b.v. '[Project Gutenberg]', en '+', de standaard voor gelezen boeken. Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--exclusion-rules
    Specificeert de regels gebruikt om boeken uit te sluiten van de aangemaakt catalogus. Het model voor een uitsluitregel is ofwel ('<rule name>','Tags','<comma-separated list of tags>') of ('<rule name>','<custom column>','<pattern>'). Bijvoorbeeld: (('Gearchiveerde boeken','#status','Gearchiveerd'),) zal een boek uitsluiten met de waarde 'Gearchiveerd' in de aangepaste kolom 'status'. Wanneer meerder kolommen zijn gedefinieerd, worden alle regels toegepast. Standaard: "(('Catalogs','Tags','Catalog'),)" Geldt voor AZW3, EPUB, MOBI uitvoerformaten

--generate-authors
    Voeg 'Auteurs' onderdeel toe aan catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--generate-descriptions
    Voeg 'Beschrijvingen' onderdeel toe aan catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--generate-genres
    Voeg 'Genres' onderdeel toe aan catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--generate-recently-added
    Voeg 'Onlangs toegevoegd' onderdeel toe aan catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--generate-series
    Voeg 'Series' onderdeel toe aan catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--generate-titles
    Voeg 'Titels' onderdeel toe aan catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--genre-source-field
    Bronveld voor Genres onderdeel. Standaard: 'Labels' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--header-note-source-field
    Aangepast veld met in de Beschrijving koptekst in te voegen notitie tekst. Standaard: '' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--merge-comments-rule
    #<custom field>:[voor|na]:[Waar|Onwaar] specificerend: <custom field> Aangepast veld met nota's samen te voegen met commentaar [voor|na] Plaatsing van nota's ten opzichte van commentaar [Waar|Onwaar] - Een horizontale regel wordt ingevoegd tussen nota's en commentaar Standaard: '::' Geldt voor: AZW3, EPUB, MOBI outvoerformaten

--output-profile
    Specificeert het uitvoerprofiel. In sommige gevallen is een uitvoerprofiel vereist om de catalogus te optimaliseren voor het toestel. Bijvoorbeeld 'kindle' of 'kindle_dx' creëert een gestructureerde Inhoudsopgave met Onderdelen en Artikelen Standaard: 'None' Geldt voor AZW3, EPUB, MOBI uitvoerformaten

--prefix-rules
    Specificeert de regels gebruikt voor het insluiten van voorvoegsels die gelezen boeken aanduiden, wenslijst items en andere gebruiker gespecificeerde voorvoegsels. Het model voor een voorvoegsel regel is ('<rule name>','<source field>','<pattern>','<prefix>'). Wanneer meerdere regels gedefinieerd zijn, wordt de eerste regel gebruikt. Standaard: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Geldt voor AZW3, EPUB, MOBI uitvoerformaten

--preset
    Gebruik een benoemde voorinstelling gemaakt met de GUI catalogus bouwer. Een voorinstelling specificeert alle instellingen om een catalogus te maken. Standaard: 'None' Van toepassing op AZW3, EPUB, MOBI uitvoerformaten

--thumb-width
    Formaat tip (in inches) voor boekomslagen in catalogus. Bereik: 1.0 - 2.0 Standaard: '1.0' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

--use-existing-cover
    Vervang bestaande omslag bij genereren van de catalogus. Standaard: 'False' Van toepassing op: AZW3, EPUB, MOBI uitvoerformaten

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Beheer de opgeslagen zoekopdrachten in deze database. Als u een zoekopdracht met dezelfde naam wil opslaan, dan zal de oude vervangen worden.

Syntax om toe te voegen:

calibredb saved_searches add search_name search_expression

Syntax om te verwijderen:

calibredb saved_searches remove search_name

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opties] label naam gegevenstype

Creëer een zelf gedefinieerde kolom. label is de machine vriendelijke naam van de kolom. Dit label
    mag geen spaties of dubbele punten bevatten, naam is de mens vriendelijke naam van de kolom.

    gegevenstype is één van: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

    Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--display
    Een woordenboek van opties voor het aanpassen van hoe de gegevens in deze kolom worden geïnterpreteerd. Dit is een JSON string. Voor kolommen met opsommingen gebruik --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Er bestaan vele opties voor de weergave variabele. De opties per kolomtype zijn: samenstelling: composite_template, composite_sort, make_category,contains_html, use_decorations datum/tijd: date_format opsomming: enum_values, enum_colors, use_decorations int, float: number_format tekst: is_names, use_decorations De beste manier om geldige combinaties te vinden is door het maken van een aangepaste kolom van het juiste type in de GUI en daarna in de back-up OPF zoeken naar een boek (verzeker u ervan dat er een nieuw OPF is aangemaakt nadat de kolom is toegevoegd). U zult de JSON zien voor de "weergave" van de nieuwe kolom in de OPF.

--is-multiple
    Deze kolom slaat label like data op (i.e. waarden gescheiden door komma's). Enkel van toepassing als data tekst is.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Lijst van beschikbare aangepaste kolommen. Geeft kolommen en ID's weer.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--details, -d
    Toon details voor iedere kolom.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Verwijder de door het label geïdentificeerde aangepaste kolom. U kan de beschikbare kolommen bekijken door het custom_columns commando te gebruiken.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--force, -f
    Niet om bevestiging vragen

SET_CUSTOM

calibredb set_custom [options] column id value

Stel de waarde van de aangepaste kolom in voor het boek, die geïdentificeerd is op ID. U kunt een lijst van ids krijgen met behulp van het zoek commando. U kunt een lijst met aangepaste kolomnamen krijgen met behulp van het custom_columns commando.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--append, -a
    Als de kolom meerde waardes bevat, voeg dan de opgegeven waarden aan de bestaande toe, in plaats van ze te vervangen.

RESTORE_DATABASE

calibredb restore_database [options]

Herstel deze database van de metadata bewaard in OPF bestanden in elke map van de calibre bibliotheek. Nuttig als uw metadata.db bestand gecorrumpeerd is.

WAARSCHUWING/ Dit commando regenereert uw database volledig. U zal alle zoekacties, gebruikerscategorieën, adapters, opgeslagen per-boek conversies en aangepaste recepten verliezen. Herstelde metadata zullen maar zo accuraat zijn als wat is gevonden in de OPF bestanden.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--really-do-it, -r
    Het herstel echt uitvoeren. Het commando zal niet uitgevoerd worden tenzij deze optie ingesteld is.

CHECK_LIBRARY

calibredb check_library [opties]

Voer controles uit op het bestandssysteem van de bibliotheek. Rapporten zijn invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--csv, -c
    Uitvoer naar CSV

--ignore_extensions, -e
    Kommagescheiden lijst van te negeren extensies. Standaard: all

--ignore_names, -n
    Kommagescheiden lijst van te negeren namen. Standaard: all

--report, -r
    Kommagescheiden lijst van rapporten. Standaard: all

--vacuum-fts-db
    Leeg de volledige tekstzoek database. Dit kan erg traag en geheugenintensief zijn, afhankelijk van de grootte van de database

LIST_CATEGORIES

calibredb list_categories [opties]

Maak een rapport van de categorie-informatie in de database. De informatie is het equivalent van wat wordt weergegeven in de Labelbrowser.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--categories, -r
    Kommagescheiden lijst van categorie-opzoeknamen. Standaard: alle

--csv, -c
    Uitvoer naar CSV

--dialect
    Het type CSV bestand te maken. Keuzes excel, excel-tab, unix

--item_count, -i
    Toon alleen het aantal items in een categorie in plaats van de aantallen per item in de categorie

--width, -w
    De maximale breedte van een enkele regel in de uitvoer. Standaard is dit hetzelfde als de schermgrootte.

BACKUP_METADATA

calibredb backup_metadata [opties]

Maak een back-up van de metadata uit de database in individuele OPF bestanden
    in elke boek map. Dit gebeurt normaal automatisch maar u kan dit commando

    uitvoeren om een vernieuwing van de OPF af te dwingen met de --all optie.

    NB: Dit is normaal niet nodig omdat er van de OPF bestanden automatisch een back-up wordt gemaakt elke keer metadata is veranderd.

    Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--all
    Normaal werkt dit commando enkel op boeken met verouderde OPF bestanden. Deze optie zorgt dat het op alle boeken werkt.

CLONE

calibredb kloon pad/naar/nieuw/bibliotheek

Maak een kloon van de huidige bibliotheek. Hierdoor wordt een nieuwe, lege bibliotheek gemaakt met dezelfde aangepaste kolommen, Virtuele bibliotheken en andere instellingen als de huidige bibliotheek.

De gekloonde bibliotheek bevat geen boeken. Als u een volledig duplicaat wilt maken, inclusief alle boeken, gebruik dan gewoon uw bestandssysteemtools om de bibliotheekmap te kopiëren.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

EMBED_METADATA

calibredb ingevoegde_metadata [opties] boek_id

Update de metadata in het eigenlijke boek file opgeslagen in calibre bibliotheek vanuit de metadata in de calibre database. Normaal worden metadata enkel geüpdatet wanneer files uit calibre worden geëxporteerd, dit commando is nuttig indien u wilt dat de bestanden worden geüpdatet ter plaatse. Opgelet dat verschillende formaten verschillende hoeveelheden metadata ondersteunen. U kan de speciale waarde "all" gebruiken in plaats van boek_id om de metadata van alle boeken aan te passen. U kan ook verschillende boek id's meegeven gescheiden door spaties en id reeksen gescheiden door koppeltekens. Bijvoorbeeld: calibredb ingevoegde_metadata 1 2 10-15 23

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--only-formats, -f
    Update alleen de metadata in specifieke bestands types. Gebruik dit meerdere keren om verschillende formaten aan te passen. Standaard worden alle formaten aangepast.

SEARCH

calibredb search [opties] zoekexpressie

Doorzoek de bibliotheek voor de specifieke zoekterm, geeft een komma gescheiden lijst van boek IDs terug overeenkomend met de zoekuitdrukking. Het uitvoerformaat is nuttig om andere commando's uit te voeren die een lijst van IDs aanvaarden als invoer

De zoekexpressie kan eerder wat zijn uit calibre's krachtige zoek querytaal bijvoorbeeld: %p rog search author:asimov 'title:"i robot"'

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--limit, -l
    Het maximum aantal weer te geven resultaten. Standaard is alle resultaten.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Controleer het Volledige tekst doorzoeken indexeren proces.

enable
    Schakelt FTS indexeren in voor deze bibliotheek

disable
    Schakelt FTS indexeren uit voor deze bibliotheek

status
    Toont de huidige indexeringsstatus

reindex
    Kan gebruikt worden om bepaalde boeken te re-indexeren of de hele bibliotheek. Om bepaalde boeken te re-indexeren specificeer de boek IDs als extra argumenten na de reindex opdracht. Als geen boek IDs gespecificeerd werden, wordt de hele bibliotheek geherindexeerd.

    Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--indexing-speed
    Indexeersnelheid. Gebruik snel voor snel indexeren met alle kracht van uw pc en traag voor minder intensief indexeren. Merk op dat de snelheid terug op traag wordt gezet na elk gebruik.

--wait-for-completion
    Wacht tot alle boeken geïndexeerd zijn, indexeringsvoortgang wordt regelmatig getoond

FTS_SEARCH

calibredb fts_search [options] zoekexpressie

Doe een volledige tekstopzoeking op de gehele bibliotheek of een onderdeel ervan.

Als u aan calibredb parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

--do-not-match-on-related-words
    Match alleen op exacte woorden, niet op verwante woorden. Correctie komt dus niet overeen met corrigeren.

--include-snippets
    Voeg fragmenten toe van de tekst rond elke overeenkomst. Merk op dat dit het zoeken veel langzamer maakt.

--indexing-threshold
    Hoeveel procent van de bibliotheek moet worden geïndexeerd voordat zoeken is toegestaan. Standaard ingesteld op 90

--match-end-marker
    De markering die wordt gebruikt om het einde van een overeenkomend woord in een fragment aan te geven

--match-start-marker
    De markering die wordt gebruikt om het begin van een overeenkomend woord in een fragment aan te geven

--output-format
    De indeling waarin de zoekresultaten moeten worden uitgevoerd. Ofwel 'tekst' voor platte tekst of 'json' voor JSON-uitvoer.

--restrict-to
    Beperk de doorzochte boeken, ofwel met een zoekexpressie ofwel met IDs. Bijvoorbeeld: IDs: 1,2,3 om te beperken op ID of search:tag:foo om te beperken tot boeken met label foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal